summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2015-09-25 04:14:47 +0000
committerPatrice Clement <monsieurp@gentoo.org>2015-09-25 04:18:22 +0000
commit9003c5f46a4b302330a295e1276ba1ab6723c8b9 (patch)
tree32d266cd9014bfcc8fcae4153287eaf6785c7717 /app-text
parentsci-mathematics/fricas: cleaning fricas-1.2.5.ebuild (diff)
downloadgentoo-9003c5f46a4b302330a295e1276ba1ab6723c8b9.tar.gz
gentoo-9003c5f46a4b302330a295e1276ba1ab6723c8b9.tar.bz2
gentoo-9003c5f46a4b302330a295e1276ba1ab6723c8b9.zip
app-text/dos2unix: Remove app-text/unix2dos blocker from DEPEND. Fixes bug 525826.
Package-Manager: portage-2.2.18 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-text')
-rw-r--r--app-text/dos2unix/dos2unix-7.3-r1.ebuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/app-text/dos2unix/dos2unix-7.3-r1.ebuild b/app-text/dos2unix/dos2unix-7.3-r1.ebuild
new file mode 100644
index 00000000000..d8a8be9c678
--- /dev/null
+++ b/app-text/dos2unix/dos2unix-7.3-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Convert DOS or MAC text files to UNIX format or vice versa"
+HOMEPAGE="http://www.xs4all.nl/~waterlan/dos2unix.html http://sourceforge.net/projects/dos2unix/"
+SRC_URI="
+ http://www.xs4all.nl/~waterlan/${PN}/${P}.tar.gz
+ mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris"
+IUSE="debug nls test"
+
+RDEPEND="
+ !app-text/hd2u
+ virtual/libintl"
+
+DEPEND="
+ ${RDEPEND}
+ nls? ( sys-devel/gettext )
+ test? ( virtual/perl-Test-Simple )
+ dev-lang/perl"
+
+src_prepare() {
+ sed \
+ -e '/^LDFLAGS/s|=|+=|' \
+ -e '/CFLAGS_OS \+=/d' \
+ -e '/LDFLAGS_EXTRA \+=/d' \
+ -e "/^CFLAGS/s|-O2|${CFLAGS}|" \
+ -i Makefile || die
+
+ if use debug ; then
+ sed -e "/^DEBUG/s:0:1:" \
+ -e "/EXTRA_CFLAGS +=/s:-g::" \
+ -i Makefile || die
+ fi
+
+ tc-export CC
+}
+
+lintl() {
+ # same logic as from virtual/libintl
+ use !elibc_glibc && use !elibc_uclibc && echo "-lintl"
+}
+
+src_compile() {
+ emake prefix="${EPREFIX}/usr" \
+ $(usex nls "LDFLAGS_EXTRA=$(lintl)" "ENABLE_NLS=")
+}
+
+src_install() {
+ emake DESTDIR="${D}" prefix="${EPREFIX}/usr" \
+ $(usex nls "" "ENABLE_NLS=") install
+}